Permalink
Browse files

* Dependency on ExtUtils::MakeMaker 6.27 only on Windows otherwise the

      nested tests won't run.

Bump up the META_MERGE check to 6.45 to avoid rogue alpha versions of 6.44
from triggering it.
  • Loading branch information...
1 parent e64a335 commit 7f546d5fe47a075eebc7be8fd291996d986d1e0f @schwern schwern committed Nov 7, 2008
Showing with 15 additions and 2 deletions.
  1. +5 −1 Changes
  2. +10 −1 Makefile.PL
View
@@ -1,4 +1,4 @@
-0.85_01
+0.85_01 Thu Oct 23 18:57:38 PDT 2008
New Features
* cmp_ok() now displays the error if the comparison throws one.
For example, broken overloaded objects.
@@ -15,6 +15,10 @@
know where cmp_ok() was called from while reminding them that it is
being run in a different context.
+ Other
+ * Dependency on ExtUtils::MakeMaker 6.27 only on Windows otherwise the
+ nested tests won't run.
+
0.84 Wed Oct 15 09:06:12 EDT 2008
Other
View
@@ -48,6 +48,14 @@ if ($mm_ver =~ /_/) { # dev version
die $@ if $@;
}
+
+# Windows does not expand *.t and MakeMaker only started working around
+# that for TESTS in 6.27. This does not introduce a circular dep
+# because MakeMaker ships with its own Test::More.
+my %Prereqs;
+$Prereqs{'ExtUtils::MakeMaker'} = 6.27 if $^O eq 'MSWin32';
+
+
WriteMakefile(
NAME => $PACKAGE,
@@ -59,6 +67,7 @@ WriteMakefile(
PREREQ_PM => {
Test::Harness => 2.03,
+ %Prereqs
},
# Added to the core in 5.7.3 and also 5.6.2.
@@ -68,7 +77,7 @@ WriteMakefile(
TESTS => 't/*.t t/*/*.t',
},
- ($mm_ver <= 6.44 ? () : (META_MERGE => {
+ ($mm_ver <= 6.45 ? () : (META_MERGE => {
resources => {
license => 'http://dev.perl.org/licenses/',
homepage => 'http://test-more.googlecode.com',

0 comments on commit 7f546d5

Please sign in to comment.